﻿using System;

namespace SvdCli
{
    internal static class Cli2Program
    {
        private static void Main(string[] args)
        {
            if (args.Length < 2)
            {
                Console.WriteLine(@"Usage: svd <key:value>[,...]");
                Console.WriteLine(@" * Create Raw Disk Image          svd OP:Create TYPE:Raw SIZE:50GB PATH:C:\Path\To\Your\Image.img");
                Console.WriteLine(@" * Create Standalone Bdd Image    svd OP:Create TYPE:Bdd SIZE:10GB STRIP:64KB PATH:C:\Path\To\Your\Image.bdd");
                Console.WriteLine(@" * Create Snapshot Bdd Image      svd OP:Create TYPE:Bdd STRIP:64KB PATH:C:\Path\To\Your\Image.bdd BASE:C:\Path\To\Your\Image.img");
                Console.WriteLine(@" * Mount Local RamDisk            svd OP:Mount TYPE:RamDisk SIZE:10GB [FS:NTFS] [TEMP:YES] [LETTER:Z]");
                Console.WriteLine(@" * Mount Image                    svd OP:Mount TYPE:Image PATH:C:\Path\To\Your\Image.bdd");
                Console.WriteLine(@" * Optimization Image             svc OP:Compact PATH:C:\Path\To\Your\Bdd.bdd");
                Console.WriteLine(@"                                  svd OP:Mount TYPE:Image PATH:C:\Path\To\Your\Image.img");
                Console.WriteLine(@"                                  svd OP:Mount TYPE:Net SERVER:192.168.233.233:23333 [LETTER:Z]");
                Console.WriteLine(@" * Server                         svd OP:Server LISTEN:0.0.0.0:23333 TYPE:<Image|RamDisk>");
                Console.WriteLine(@"                                  svd OP:Server LISTEN:0.0.0.0:23333 TYPE:DispatchBdd STRIP:64KB PATH:C:\Path\To\Your\Image.img BDD:C:\Path\To\Your\Dir\");
                Console.WriteLine(@"                                  svd OP:Server LISTEN:0.0.0.0:23333 TYPE:DispatchRamDisk SIZE:10GB [FS:NTFS] [TEMP:YES]");
                Console.WriteLine(@" * Windows Service                svd SVC:Install SVC.NAME:TheServiceName ...");
                Console.WriteLine(@"                                  svd SVC:Uninstall SVC.NAME:TheServiceName");
                Console.WriteLine(@"                                  svd SVC:Run ...");
                Console.WriteLine(@" ** Fork sub process              svd OP:ForkBdd SOCKET:HandleHex PATH:C:\Path\To\Your\MAC.bdd");
                return;
            }

            
        }
    }
}
