﻿using System.ServiceProcess;
using SvdCli.App;

namespace SvdCli.WindowsService
{
    internal class SvdServiceForWindows : ServiceBase
    {
        private readonly SvdService _service;

        public SvdServiceForWindows(SvdService service)
        {
            _service = service;
        }

        protected override void OnStart(string[] args)
        {
            _service.Start();
        }

        protected override void OnStop()
        {
            _service.Stop();
        }
    }
}